Please Update Rated 2 out of 5 stars

Good module... and i need update
Google Translator for Firefox 2.1.0.5.3 OBSOLETE
https://puu.sh/xCImR/9d8f0cf6a2.png

This review is for a previous version of the add-on (2.1.0.5.3). 

Hi! As Firefox 57 arrives next week, I have just uploaded the new 3.0 version, which is compatible with Firefox 57 and newer versions. I hope you will continue to make good use of it.